open IN, "Mat.htm";
open NOTES, ">Mat.notes.xhtml";
open TEXT, ">Mat.text.xhtml";

$source = join '', <IN>;
$source =~ s{^.+<!-- TRANSIT - INFOBEFORE -->}{}s;  
$source =~ s{</body>.+$}{}s;

#NOTE: could there be something like the following put already in the source file???
$source =~ s{(?=<p><font face="Times New Roman" size="-1"><sup><a name="P)}{\n<!-- BEGIN NOTES -->\n};

my($text, $notes) = split(/<!-- BEGIN NOTES -->/, $source);

### VERSE FILE ###################################################

#fix headings-------------------------
$text =~ s{<div2 type="paragraphtitle"><head>.+?<a.+?name="(.+?)".*?>(.+)}
          {"<h2 class='section' id='$1'>" . striptags($2) . "</h2>"}ge;

#delete reduntant formatting (use CSS instead)--------------
$text =~ s{<font face="Times New Roman">|</font>}{}g;
$text =~ s{<font face="Times New Roman" size="-1">}{}g;

#$text =~ s{(<b><i>|<i><b>)}{<span class='otquote'>}g;
#$text =~ s{(</b></i>|</i></b>)}{</span>}g;

#clean up note refs (use CSS instead of SUP)------------------
$text =~ s{<sup><a(.+?>\d+</a>)</sup>}
          {<a class='fnref'$1}g;

#clean up verse refs------------------
$text =~ s{\s*<b>\s*([\d:]+)\s*</b>\s*}{ <span class='vref'>$1</span> }g;

#fix book title------------
$text =~ s{<div1 type="book"><head><b><font face="Papyrus ICG">(.+)}
        {"<h1>" . striptags($1) . "</h1>"}e;

#paragraphs: use class attribute instead of non-standard type attribute----------------------
$text =~ s{(<p\s+)type=}{$1class=}g;

$text =~ s{name="}{id="}g;    #replace name attributes with id attributes
while($text =~ s{<(i|b)>\s*?</\1>}{ }g){};   #delete empty formatting elements

$text =~ s{\n+}{\n}g;

print TEXT <<HTMLCODE;
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
     "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
	<head>
		<meta http-equiv='content-type' content='text/html; charset=utf8' />
		<title>Mat</title>
		<style type="text/css">
			a.fnref {
				vertical-align: super;
				font-size:8pt;
				font-weight:normal;
				font-style:normal;
			}
			.otpoetry,
			.otquote {
				font-style:italic;
				font-weight:bold;
			}
			.otallusion {
				font-style:italic;	
			}
			.vref {
				font-weight:bold;
				font-size:smaller;
			}
		</style>
	</head>
	<body>
HTMLCODE

print TEXT $text;
print TEXT "</body></html>";


#########NOTES FILE###############################################################

#add line breaks to notes----------------
$notes =~ s{(?=<p><font face="Times New Roman" size="-1"><sup><a name="P)}{\n}gs;


print NOTES <<HTMLCODE;
<!DOCTYPE html 
     PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
     "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
	<head>
		<meta http-equiv='content-type' content='text/html; charset=utf8' />
		<title>Mat Notes</title>
	</head>
	<body>
HTMLCODE
print NOTES $notes;
print NOTES "</body></html>";

close TEXT;
close NOTES;
close IN;


sub striptags {
	my $s = shift;
	$s =~ s{</?\w+[^>]*>}{}g;
	return $s;
}