## Run against *.sgm body files
## puts each paragraph (of the bible) on one line
## puts paragraph titles, lamhebrew, psasuper on same line as verse 1 of each chapter


foreach $file (glob($ARGV[0])){ #active perl way
($fn,$ext) = split(/\./ ,$file);

die ("Cannot open input file $fn.$ext\n") unless (open (INFILE, "$fn.sgm"));
die ("cannot open output file $fn.fx1\n") unless (open (OUTFILE, ">$fn.tst")) ;

&booknamer;
&booknumber;

{undef $/;   # slurp mode
	
	$line = <INFILE>;  # slurp
	close (INFILE);

	#line joining stuff	
	$line =~ s!</?bible>!!gi;
	$line =~ s!<browser n="Chapter \d+">\n!!gi;
	$line =~ s!<div2 type="paragraphtitle"><head>!<p class="paragraphtitle">!gi;
	$line =~ s!<div1 type="book"><head>.*?\n!!gi;
	#$line =~ s!<div1 type="book"><head>!<p class="book">!gi;
	$line =~ s!<p type="poetry">\n<sr n=".*?>!<p class="poetry">!gi;
	$line =~ s!<p type="bodytext">\n<sr n=".*?>!<p class="bodytext">!gi;
	$line =~ s!\n<sr n=".*?>!!gi;
	$line =~ s!<sr n="\!.*?>!!gi;
	$line =~ s!\n<p type="bodytext">!<br />!gi;
	$line =~ s!<p type="poetry">!<br />!gi;
	$line =~ s!<p type="otpoetry">!<br />!gi;
	$line =~ s!<p class(.*)?\n!<p class$1</p>\n!gi;
	$line =~ s!<p class="paragraphtitle">(.*)?</p>\n!<p class="paragraphtitle">$1</p>!gi;
	$line =~ s!<p type="psasuper">(.*)?\n!<p class="psasuper">$1</p>!gi;
	$line =~ s!<p type="lamhebrew">(.*)?\n!<p class="lamhebrew">$1</p>!gi;

	#html compatible stuff
	$line =~ s!\n\n!\n!gi;
	$line =~ s!\&md\;!--!gi;
	$line =~ s!\&nd\;!-!gi;
	$line =~ s!\&ld\;!"!gi;
	$line =~ s!\&rd\;!"!gi;
	$line =~ s!\&ls\;!'!gi;
	$line =~ s!\&rs\;!'!gi;
	$line =~ s!<sc>(.*?)</>!<span class='smallcaps'>$1</span>!gi;


	print OUTFILE $line;
} # end local block

print "finished with $fn\n";
close (OUTFILE);
#$fn = <FILENAMES>;
#chop $fn;
}


sub booknamer {

	$bookname{"gen"}="Genesis";
	$bookname{"exo"}="Exodus";
	$bookname{"lev"}="Leviticus";
	$bookname{"num"}="Numbers";
	$bookname{"deu"}="Deuteronomy";
	$bookname{"jos"}="Joshua";
	$bookname{"jdg"}="Judges";
	$bookname{"rut"}="Ruth";
	$bookname{"1sa"}="1 Samuel";
	$bookname{"2sa"}="2 Samuel";
	$bookname{"1ki"}="1 Kings";
	$bookname{"2ki"}="2 Kings";
	$bookname{"1ch"}="1 Chronicles";
	$bookname{"2ch"}="2 Chronicles";
	$bookname{"ezr"}="Ezra";
	$bookname{"neh"}="Nehemiah";
	$bookname{"est"}="Esther";
	$bookname{"job"}="Job";
	$bookname{"psa"}="Psalms";
	$bookname{"pro"}="Proverbs";
	$bookname{"ecc"}="Ecclesiates";
	$bookname{"sos"}="Song of Solomon";
	$bookname{"isa"}="Isaiah";
	$bookname{"jer"}="Jeremiah";
	$bookname{"lam"}="Lamentations";
	$bookname{"eze"}="Ezekiel";
	$bookname{"dan"}="Daniel";
	$bookname{"hos"}="Hosea";
	$bookname{"joe"}="Joel";
	$bookname{"amo"}="Amos";
	$bookname{"oba"}="Obadiah";
	$bookname{"jon"}="Jonah";
	$bookname{"mic"}="Micah";
	$bookname{"nah"}="Nahum";
	$bookname{"hab"}="Habakkuk";
	$bookname{"zep"}="Zephaniah";
	$bookname{"hag"}="Haggai";
	$bookname{"zec"}="Zechariah";
	$bookname{"mal"}="Malachi";
	$bookname{"mat"}="Matthew";
	$bookname{"mar"}="Mark";
	$bookname{"luk"}="Luke";
	$bookname{"joh"}="John";
	$bookname{"act"}="Acts";
	$bookname{"rom"}="Romans";
	$bookname{"1co"}="1 Corinthians";
	$bookname{"2co"}="2 Corinthians";
	$bookname{"gal"}="Galatians";
	$bookname{"eph"}="Ephesians";
	$bookname{"phi"}="Philippians";
	$bookname{"col"}="Colossians";
	$bookname{"1th"}="1 Thessalonians";
	$bookname{"2th"}="2 Thessalonians";
	$bookname{"1ti"}="1 Timothy";
	$bookname{"2ti"}="2 Timothy";
	$bookname{"tit"}="Titus";
	$bookname{"phm"}="Philemon";
	$bookname{"heb"}="Hebrews";
	$bookname{"jam"}="James";
	$bookname{"1pe"}="1 Peter";
	$bookname{"2pe"}="2 Peter";
	$bookname{"1jo"}="1 John";
	$bookname{"2jo"}="2 John";
	$bookname{"3jo"}="3 John";
	$bookname{"jud"}="Jude";
	$bookname{"rev"}="Revelation";	

}



sub booknumber {

	$booknumber{"gen"}="1";
	$booknumber{"exo"}="2";
	$booknumber{"lev"}="3";
	$booknumber{"num"}="4";
	$booknumber{"deu"}="5";
	$booknumber{"jos"}="6";
	$booknumber{"jdg"}="7";
	$booknumber{"rut"}="8";
	$booknumber{"1sa"}="9";
	$booknumber{"2sa"}="10";
	$booknumber{"1ki"}="11";
	$booknumber{"2ki"}="12";
	$booknumber{"1ch"}="13";
	$booknumber{"2ch"}="14";
	$booknumber{"ezr"}="15";
	$booknumber{"neh"}="16";
	$booknumber{"est"}="17";
	$booknumber{"job"}="18";
	$booknumber{"psa"}="19";
	$booknumber{"pro"}="20";
	$booknumber{"ecc"}="21";
	$booknumber{"sos"}="22";
	$booknumber{"isa"}="23";
	$booknumber{"jer"}="24";
	$booknumber{"lam"}="25";
	$booknumber{"eze"}="26";
	$booknumber{"dan"}="27";
	$booknumber{"hos"}="28";
	$booknumber{"joe"}="29";
	$booknumber{"amo"}="30";
	$booknumber{"oba"}="31";
	$booknumber{"jon"}="32";
	$booknumber{"mic"}="33";
	$booknumber{"nah"}="34";
	$booknumber{"hab"}="35";
	$booknumber{"zep"}="36";
	$booknumber{"hag"}="37";
	$booknumber{"zec"}="38";
	$booknumber{"mal"}="39";
	$booknumber{"mat"}="40";
	$booknumber{"mar"}="41";
	$booknumber{"luk"}="42";
	$booknumber{"joh"}="43";
	$booknumber{"act"}="44";
	$booknumber{"rom"}="45";
	$booknumber{"1co"}="46";
	$booknumber{"2co"}="47";
	$booknumber{"gal"}="48";
	$booknumber{"eph"}="49";
	$booknumber{"phi"}="50";
	$booknumber{"col"}="51";
	$booknumber{"1th"}="52";
	$booknumber{"2th"}="53";
	$booknumber{"1ti"}="54";
	$booknumber{"2ti"}="55";
	$booknumber{"tit"}="56";
	$booknumber{"phm"}="57";
	$booknumber{"heb"}="58";
	$booknumber{"jam"}="59";
	$booknumber{"1pe"}="60";
	$booknumber{"2pe"}="61";
	$booknumber{"1jo"}="62";
	$booknumber{"2jo"}="63";
	$booknumber{"3jo"}="64";
	$booknumber{"jud"}="65";
	$booknumber{"rev"}="66";	
}